CREATE TABLE `tblMsgs` (
  `MsgID` int(11) NOT NULL auto_increment,
  `Msg` longtext,
  PRIMARY KEY  (`MsgID`)
);

CREATE TABLE `tblQuarantine` (
  `QuarID` int(11) NOT NULL auto_increment,
  `EmailFrom` varchar(100) default NULL,
  `EmailTo` varchar(100) default NULL,
  `Subject` varchar(100) default NULL,
  `MsgDate` datetime default NULL,
  `MsgID` int(11) default NULL,
  `RejectID` int(11) default NULL,
  `RejectDetails` varchar(200) default '',
  `Deliver` tinyint(1) default NULL,
  `Expire` tinyint(1) default NULL,
  `ServerID` int(11) null,
  PRIMARY KEY  (`QuarID`),
  KEY `Subject` (`Subject`),
  KEY `MsgID` (`MsgID`),
  KEY `EmailFrom` (`EmailFrom`),
  KEY `EmailTo` (`EmailTo`),
  KEY `MsgDate` (`MsgDate`),
  KEY `ServerID` (`ServerID`)
);

CREATE TABLE `tblRejectCodes` (
  `RejectID` int(11) NOT NULL default '0',
  `RejectDesc` varchar(100) default NULL,
  PRIMARY KEY  (`RejectID`)
);

CREATE TABLE `tblLogins` (
  `LoginID` int(11) NOT NULL auto_increment,
  `EMail` varchar(100) NOT NULL default '',
  `Password` varchar(50) default '',
  PRIMARY KEY  (`LoginID`),
  UNIQUE KEY `EMail` (`EMail`)
);

CREATE TABLE `tblServers` (
  `ServerID` int(11) NOT NULL auto_increment,
  `ServerName` varchar(50),
  PRIMARY KEY  (`ServerID`),
  KEY `ServerName` (`Servername`)
);

ALTER TABLE `tblQuarantine` ADD
	CONSTRAINT `FK_tblQuarantine_tblMsgs` FOREIGN KEY `FK_tblQuarantine_tblMsgs`
	(`MsgID`) REFERENCES `tblMsgs` (`MsgID`) ON DELETE CASCADE ;
	